<template>
  <div class="px-8">
    <div class="page__header">
      <h1 class="page__title">{{ $t("poker") }}</h1>
    </div>
    <div class="container mx-auto">
      <lobby-entry-list />
    </div>
  </div>
</template>

<script lang="ts" setup></script>
<style lang="scss" scoped>
.page__header {
  position: relative;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  margin-bottom: 40px;
  @media (max-width: 767px) {
    margin-bottom: 24px;
  }
}
.page__title {
  width: auto;
  margin: 0;
  font-size: 44px;
  line-height: 52px;
  font-style: normal;
  font-weight: 700;
  -webkit-transition: color 0.4s;
  transition: color 0.4s;
  color: var(--title-font-color);
  @media (max-width: 767px) {
    font-size: 24px;
    line-height: 32px;
  }
}
.games__list {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: repeat(1, 1fr);
  grid-gap: 8px;
  margin: auto;
  .games-item {
    grid-column: unset;
    grid-row: unset;
  }
}
@media (max-width: 1200px) {
  .games__list {
    grid-template-columns: repeat(2, 1fr) !important;
  }
}
</style>
